const { env } = process

module.exports = {
  server: {
    url: env.SERVER_URL || 'http://localhost:10230',
    port: parseInt(env.SERVER_PORT, 10) || 10230,
    jwt_secret: env.SERVER_JWT_SECRET || 'testsecret',
    jwt_expire: parseInt(env.SERVER_JWT_EXPIRE, 10) || 60 * 60 * 24 * 30 // 30 day
  },
  sso: {
    authorized_endpoint: env.SSO_AUTHORIZED_ENDPOINT || '',
    token_endpoint: env.SSO_TOKEN_ENDPOINT || '',
    userinfo_endpoint: env.SSO_USERINFO_ENDPOINT || '',
    logout_endpoint: env.SSO_LOGOUT_ENDPOINT || '',
    client_id: env.SSO_CLIENT_ID || '',
    client_secret: env.SSO_CLIENT_SECRET || ''
  }
}
